
ChiliProject - Bug # 482: project's activities shown are activities of all projects

Status: Closed Priority: Normal
Author: Eric Davis Category: Journals / History
Created: 2011-06-17 Assignee:
Updated: 2011-07-11 Due date:
Remote issue URL:
Affected version: unstable
Description: Reported by Jan F Westerkamp in the "forum":https://www.chiliproject.org/boards/1/topics/485

> after upgrading Redmine 1.1.0 (with a few svn repositories) to ChiliProject 1.4.0 and applying the fix from 
#466 almost everything looks perfect.
> There is only one thing that stops me from updating my servers at the universiity: going to a project and 
opening the activities folder I'm shown the activities of all my projects.
> 
> To update the activities I use a cron job with
> rake -f /opt/chiliproject/Rakefile redmine:fetch_changesets RAILS_ENV=production
> 
> Updating changesets automatically doesn't work either.
> 
> Is this worth opening a ticket or have I missed the solution somewhere in the redmine/chiliproject 
documentation?

History
2011-06-17 09:41 pm - Eric Davis
- Target version deleted (2.0.0)

- Assignee deleted (Eric Davis)

- (deleted custom field) set to unstable

- Status changed from Open to Needs more information

I can't reproduce in the latest release-v2.0.0 (9f2c412).

# Add repo to ProjectA
# Add repo to ProjectB
# Check Activity to make sure Changesets are separated by activity

2011-07-08 09:58 pm - Felix Schäfer
Asked Jan for more information, can be closed in a week or so if we don't have an answer until then.

2011-07-11 07:00 pm - Jan F Westerkamp
- Status changed from Needs more information to Closed

Felix SchÃ¤fer wrote:
> Asked Jan for more information, can be closed in a week or so if we don't have an answer until then.

Lacking time I did something similar with my existing database. This time I upgraded from redmine 1.2.0 to chiliproject 2.0.0 and it looks fine so far. (I 
still have to install my plugins and themes.)
Therefore, this issue is closed, since I can't reproduce it myself.

2011-07-11 08:21 pm - Jan F Westerkamp
should have done this earlier:

The plugin "readmine_arch_decisions":https://github.com/bigokro/redmine_arch_decisions (at least now) seams to be problem. All _activity_ pages 
result in an error if I install it.

But I won't open a ticket, even though I really like and need that plugin for one of my servers.
I don't have the time for any testing at the moment.

2011-07-11 09:41 pm - Felix Schäfer
Jan F Westerkamp wrote:
> should have done this earlier:
> 
> The plugin "readmine_arch_decisions":https://github.com/bigokro/redmine_arch_decisions (at least now) seams to be problem. All _activity_ pages 
result in an error if I install it.

Thanks for reporting anyway. Mind adding it and especially the version of the plugin you have tested it with to [[Plugin Compatibility]]?

2020-10-25 2/2


